Subject: Re: WILD RICE?

From: [email-masked] (Michael Johnston -- Michael's Music Service)
Date: 7 Oct 1993 03:35:33 GMT

Oh my, I musn't get started!  I order a case of wild rice per year from Deer
River in MN.  It's wonderful.  There's wild rice soup, duck stuffed with wild
rice stuffing, wild rice and tomato soup, and I could go on!  It's so expensive
in the grocery stores that I just buy it from the folks up there who do it 
big time. It's about $2.50 per pound. 

I'd better go get the information while I'm thinking about it.
DEER RIVER WILD RICE, INC.
P. O. Box 296
Deer River, MN 56636

You get recipes with every package. This is "extra fancy" grade.

Basic cooking method
1 cup wild rice
1 tsp. salt
4 cups water

Place wild rice in a heavy saucepan with salt and water. Bring to a boil.
Simmer covered until kernels are open and tender but not mushy (45-55 minutes).
Drain excess liquid.  Serves 6-8.

Michael's Wild and Crazy methods
Boil up a big pot with a lot of water and bay leaves
Throw in 1/2 pound of wild rice and boil away for 10 minutes
Throw in 1 or 1-1/2 pounds of brown rice and reduce heat 
Cook until tender
Rinse entire contents with cold water and drain
Serve this fluffy combo rice with anything you'd normally use white rice for

Historical method
Take boar (pork), venison, or beef bones and brown them in a big pot
Deglaze with wine
Throw in sufficient wild rice and add stock to about the right level
Bring to hard boil
Cover tightly and turn off heat
In 1 hour, come back, add favorite spices, nuts, mushrooms (not historical),
           chopped green onions, ramps, parsley, maybe a little sherry or
           full-bodied red wine.
Raise heat to finish absorbing the liquid. If too much liquid, pour off.
Take this and stuff your duck or goose reasonably tightly. Roast the fowl
as usual. Extra rice is eaten by itself or mixed with brown or white rice
as a side dish.  Extra can also be used in an egg pie (think quiche) that's
devine. Extra can be salted a bit more and refrigerated and used later as
a salad -- add tomatoes and cucumbers and vinegar dressing.

If you don't find what you want in this post, describe what you'd like to
do and I'll dig you up a recipe.  

Cheers!
Michael

-- 
MICHAEL'S MUSIC SERVICE | CIS: 70731,3403 |---------| Barony of the Sacred Stone
4146 Sheridan Drive     | [email-masked] |----------------| John Apple
Charlotte, NC 28205-5654|(704) 567-1066 (800) 438-4129 |------| Michael Johnston
-- Brother Ambrose, Friars Minor |-------| Guillaume de Pomme, Maitre d'Orgue --